<?php

/**
 * @file
 * Functions file for Entity Documentation module.
 */

/**
 * Get entity types function.
 *
 * @return array
 *   Entity types as an array.
 */
function ed_get_entity_types() {

  // Invoke hook to get entity types.
  $types = array();
  $types = module_invoke_all('ed_type', $types);

  return $types;
}

/**
 * Get exporters.
 *
 * @return array
 *   Exporters as an array.
 */
function ed_get_exporters() {

  // Invoke hook to get exporters.
  $exporters = array();
  $exporters = module_invoke_all('ed_exporter', $exporters);

  return $exporters;
}

/**
 * Get array documentation for specific bundle.
 *
 * @param $entity
 *   Entity type.
 * @param $bundle
 *   Bundle to get array for.
 *
 * @return array
 *   Array with the documentation.
 */
function ed_bundle_array($entity, $bundle) {

  // Invoke hook to get array.
  $documentation_array = array();
  $documentation_array = module_invoke_all('ed_bundle_documentation', $documentation_array, $entity, $bundle);

  return $documentation_array;
}